<?php 
/**
* @version: 1.0
* @copyright: Copyright (C) 2010 WebGift. All rights reserved.
* @package: Elxis
* @subpackage:Third-Party Templates / Imagination WebGift
* @author: Stavros Stratakis 
* @link: http://www.webgift.gr
* @email: info@webgift.gr
* @description: Imagination WebGift template developed and designed by Stavros Stratakis (WebGift)for Elxis 2009.1 or newer!
* @license: Creative Commons 3.0 SA
* Elxis CMS is a Free Software
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
require_once($mainframe->getCfg('absolute_path').'/templates/imagination_webgift/includes/imagination.class.php');
$imagine= new tplimagination($tplparams);
$imagine->makemeta();
echo '<?xml version="1.0" encoding="utf-8"?' .'>'."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php echo _LANGUAGE; ?>" xml:lang="<?php echo _LANGUAGE; ?>"<?php echo (_GEM_RTL) ? ' dir="rtl"' : ''; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; <?php echo _ISO; ?>" />
    <?php if ($imagine->ie6() == 1){ 
      echo  $imagine->ie6case();
    } ?>
<?php mosShowHead(); ?>
<link href="<?php echo $imagine->ssl_live_site; ?>/templates/imagination_webgift/css/template_css.css" rel="stylesheet" type="text/css" media="all" />
<!-- Start Code of Imagination WebGift Template designed & developed by WebGift Web Services -->
<?php 
$imagine->curvycorners();
$imagine->injectcss();
if ($imagine->pget('js') != '') {
	echo '<script type="text/javascript" src="'.$imagine->pget('js').'"></script>'."\n";
}
if ($my->id) { initEditor(); }
$imagine->googleAnalyticsData();
?>

</head>
<body<?php echo $mainframe->onLoad(); ?>>
<div id="site_wrapper">
<div id="horiznav_d"><?php $imagine->showMenu(); ?> </div>
    <div style="margin:0; padding: 0; clear: both;"></div>
		<script type="text/javascript">
		/* <![CDATA[ */
		var imaginationhmenu=new imaginationhmenu.dd("imaginationhmenu");
		imaginationhmenu.init("imaginationhmenu","imaginationmenuhover");
		/* ]]> */
		</script>
    <div class="clear"></div>
	<div id="container">
        <div id="top-center">
        <a href="<?php echo sefRelToAbs('index.php'); ?>" title="<?php echo $mainframe->getCfg('sitename'); ?>" class="logolink">
    				<img src="<?php echo $imagine->ssl_live_site; ?>/templates/imagination_webgift/images/logo.png" alt="<?php echo $mainframe->getCfg('sitename'); ?>" />
        </a>
        <?php
        echo '<div style="clear: both;margin-top:5px;width:68%;">'."\n";
        $imagine->showslogan(); 
        echo '</div>'."\n";       
        $imagine->social_media();?>
            <div id="search">
                <?php elxLoadModule('mod_search', -2); ?>
            </div> 
            <div id="flags">
				<?php elxLoadModule('mod_language', -2); ?>
			</div>        
		</div>
		<div class="clear"></div>
		</div>        
                <?php if( ($imagine->slideron() == 'true') && (!$task) && (($option == 'com_frontpage') || ($option == 'com_eshop') || ($option == 'com_reservations') || ($option == 'com_eforum') || ($option == 'com_content'))) {?>
        <div id="slide_shower">
            <div id="content_slider"><?php $imagine->showslider(); ?></div>
        </div>
        <?php } if ($imagine->slideron() == 'false'){ ?>
        <div id="slide_shower">
            <div id="content_slider"><?php $imagine->showslider(); ?></div>
        </div>
        <?php } ?>
		<div class="clear"></div>
		<div id="container4">
            <div id="content_top"></div>
            <div id="container3">
                <?php echo '<div style="width:100%;">'."\n";
				    if (($imagine->pget('pway') === 1)) {
					   mospathway();
				    }
                    echo '</div>'."\n";
                    echo '<div style="clear:both;"></div>'."\n";
                ?>
                 <?php $count_right =  mosCountModules('newsflash') + mosCountModules('banner') + mosCountModules('right');
                 $count_left = mosCountModules('left') + mosCountModules('user3');
        if (($imagine->right_left() == 0) && (($count_left == 0) || ($count_right == 0))){
                 if (($count_right == 0) && ($count_left > 0)){ ?>
		<div id="main-body" style="width: 974px ;">
        <div id="sitecontent" style="width: 770px ;">
        
        <?php } if (($count_right > 0) && ($count_left == 0)){ ?> 
        <div id="main-body" style="width: 780px; margin-left:8px;">
        <div id="sitecontent" style=" width: 770px;float:left;">
        <?php }if(($count_right == 0) && ($count_left == 0)){ ?>
        <div id="main-body" style="width: 955px; margin-left:10px;">
        <div id="sitecontent" style="width: 945px;margin-left:10px;">
        <?php } if(($count_right > 0) && ($count_left > 0)){ ?>
        <div id="main-body">
        <div id="sitecontent">
        <?php } }else{ ?>
        <div id="main-body">
        <div id="sitecontent">
        <?php } ?>
        
        <div id="user4-container">
        <div id="content_user4">
            <?php mosLoadModules('user4', -2); ?>
        </div>
			</div>
			 <?php 
				if (mosCountModules('user1') > 0 OR mosCountModules('user2') > 0 ) {?>
				    <div id="content_top_wrapper">
                    <?php if(mosCountModules('user1')>0){ ?>
					   <div id="content_user1">
					       <?php mosLoadModules('user1', -2); ?>
					   </div>
                       <?php } ?>
                       <?php if(mosCountModules('user2') >0) { ?>
					   <div id="content_user2">
					       <?php mosLoadModules('user2', -2); ?>
					   </div>
                       <?php } ?>
				    </div>
			<?php }?>
			<div class="inside">
			<?php if (mosCountModules('header') > 0) { ?>
				<div id="position_top">
					<?php mosLoadModules('header', -2); ?>
				</div>
				<div class="clear"></div>
			<?php } ?>
				<?php mosMainBody(); ?>
			</div>
			</div>
            <?php if ($count_left > 0) { ?>
		    <div id="leftcolumn"> 
				<div class="inside-col">
					<?php mosLoadModules('left', -2); ?>
					<?php mosLoadModules('user3', -2); ?>
				</div>
			</div>
            <?php } ?>
		</div>
        <?php if ($count_right > 0) { ?>
		<div id="rightcolumn">
			<div class="inside-col">
				<?php mosLoadModules('newsflash', -2); ?>
				<?php mosLoadModules('banner', -2); ?>
				<?php mosLoadModules('right', -2); ?>
			</div>
		</div>
        <?php } ?>
		</div>
         <div id="content_bottom"></div>
		<div class="clear"></div>
        <?php $count_mods =  mosCountModules('user5') + mosCountModules('user6') + mosCountModules('user7') + mosCountModules('user8');
        if ($count_mods > 0) { ?>
		<div id="bottom-container">
        <div class="clear"></div>
		  <div id="content_bottom_wrapper">
          <?php if (mosCountModules('user5')>0){ ?>
				<div id="content_user5">
					<?php mosLoadModules('user5', -2); ?>
				</div>
                <?php } ?>
                <?php if (mosCountModules('user6')>0){ ?>
				<div id="content_user6">
					<?php mosLoadModules('user6', -2); ?>
				</div>
                <?php } ?>
                <?php if (mosCountModules('user7')>0){ ?>
				<div id="content_user7">
                <?php mosLoadModules('user7', -2); ?>
                </div>
                <?php } ?>
                <?php if (mosCountModules('user8')>0){ ?>
                <div id="content_user8">
                    <?php mosLoadModules('user8', -2); ?>
                </div>
                <?php }?>
		</div>
		</div>
        <div class="clear"></div>
        <?php }?>     
           	<div id="bottom-center">
            <div class="footerinner">
        		<div style="position: absolute; right: 20px; top: 4px;">
			         <a href="javascript:void(null);" onclick="gotop();" title="<?php echo _CMN_TOP; ?>" class="gototop"><?php echo _CMN_TOP; ?></a>
	           	</div>
			     <div style="margin-top:-4px ;"> 		 
				    <?php include_once($mainframe->getCfg('absolute_path').'/includes/footer.php'); ?>         
			     </div>
            </div>
        </div>
</div>
<!-- End Code of Imagination WebGift Template designed & developed by WebGift Web Services -->
</div>
</body>
</html>